clusteringCoef {RBGL} | R Documentation

## Calculate clustering coefficient for an undirected graph

### Description

Calculate clustering coefficient for an undirected graph

### Usage

    clusteringCoef(g, Weighted=FALSE, vW=degree(g))

### Arguments

`g` | an instance of the `graph` class
`Weighted` | calculate weighted clustering coefficient or not
`vW` | vertex weights to use when calculating weighted clustering coefficient

### Details

For an undirected graph {G}, let delta(v) be the number of triangles with {v} as a node, let tau(v) be the number of triples, i.e., paths of length 2 with {v} as the center node.

Let V' be the set of nodes with degree at least 2.

Define clustering coefficient for `v`, c(v) = (delta(v) / tau(v)).

Define clustering coefficient for `G`, C(G) = sum(c(v)) / |V'|, for all `v` in V'.

Define weighted clustering coefficient for `G`, Cw(G) = sum(w(v) * c(v)) / sum(w(v)), for all `v` in V'.

### Value

Clustering coefficient for graph `g`.

### Author(s)

Li Long <li.long@isb-sib.ch>

### References

Approximating Clustering Coefficient and Transitivity, T. Schank, D. Wagner, Journal of Graph Algorithms and Applications, Vol. 9, No. 2 (2005).

### See Also

clusteringCoefAppr, transitivity, graphGenerator

### Examples

    g <- fromGXL(file(system.file("XML/conn.gxl",package="RBGL")))
    cc <- clusteringCoef(g)
    ccw1 <- clusteringCoef(g, Weighted=TRUE)
    vW  <- c(1, 1, 1, 1, 1,1, 1, 1)
    ccw2 <- clusteringCoef(g, Weighted=TRUE, vW)

[Package RBGL version 1.10.0 Index]